Bug 1371623 - fatal failure to set MAC address on wifi
Summary: fatal failure to set MAC address on wifi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
: 1374023 (view as bug list)
Depends On:
Blocks: 1313485 1374756
TreeView+ depends on / blocked
 
Reported: 2016-08-30 16:13 UTC by Thomas Haller
Modified: 2016-11-03 19:29 UTC (History)
14 users (show)

Fixed In Version: NetworkManager-1.4.0-8.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1371478
Environment:
Last Closed: 2016-11-03 19:29:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Thomas Haller 2016-08-30 16:13:21 UTC
Some buggy drivers either
 - signal success on the netlink message to change the MAC address, but the
   address only actually change the address a moment later.
 - fail the netlink command with ENFILE but the address actually changes.

See for example upstream https://bugzilla.gnome.org/show_bug.cgi?id=770456 or bug 1371478.

this is fixed upstream with
  https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=e109f870670e7503047309358cf97287ebd18d56
  https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=091620e76592349ae3efee08faed881ce1a2495b 


These workaround should be backported to rhel-7.3

Comment 4 Thomas Haller 2016-09-08 19:14:36 UTC
The fix so far is not sufficient.

Needs another patch from upstream.

Back to assigned

See https://bugzilla.redhat.com/show_bug.cgi?id=1374023#c19

Comment 6 Thomas Haller 2016-09-13 08:40:18 UTC
*** Bug 1374023 has been marked as a duplicate of this bug. ***

Comment 7 Thomas Haller 2016-09-13 08:53:07 UTC
Needs another fix.

See https://bugzilla.redhat.com/show_bug.cgi?id=1374023#c30

Comment 9 Vladimir Benes 2016-09-22 15:20:54 UTC
Reporter verified this workaround works as expected ( https://bugzilla.redhat.com/show_bug.cgi?id=1374023#c30 )

Comment 11 errata-xmlrpc 2016-11-03 19:29:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.